#ifndef _TABLE_MAU_H_
#define _TABLE_MAU_H_

// Numero maximo de faixas
#define MAX_FAIXAS62 900
#define MAX_FAIXAS42 144
#define MAX_FAIXAS32 36


//dadas as cores vizinhas de de uma transição de faixa em slides consecutivos (4 cores)
//essa é a função que devolve a posição da transição de faixa na codificação
int getBcslStripeCode(int coresq1, int cordir1, int coresq2, int cordir2);


//aqui a tabela de decodificação é construída
void openBcsl(int base);

void closeBcsl();

#endif